# IntArrayDictionaryEntry (ARX Developer Documentation)

org.deidentifier.arx.framework.check.distribution

## Class IntArrayDictionaryEntry

- java.lang.Object
- - org.deidentifier.arx.framework.check.distribution.IntArrayDictionaryEntry

-     public class IntArrayDictionaryEntry
      extends java.lang.Object

  Implements an entry.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IntArrayDictionaryEntry(int[] key, int hash, int value)` Creates a new entry.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `decRefCount()`
    `int` | `getHashcode()` Gets the hashcode of this class.
    `int[]` | `getKey()` Gets the key of this class.
    `IntArrayDictionaryEntry` | `getNext()` Gets the next element in this bucket.
    `int` | `getValue()` Gets the value.
    `void` | `incRefCount()`
    `void` | `setNext(IntArrayDictionaryEntry next)` Sets the next element in this bucket.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IntArrayDictionaryEntry

          public IntArrayDictionaryEntry(int[] key,
                                 int hash,
                                 int value)

      Creates a new entry.
      Parameters:
        `key` - the key
        `hash` - the hash
        `value` - the value

  - ### Method Detail

    - #### decRefCount

          public int decRefCount()

      Returns:

    - #### getHashcode

          public int getHashcode()

      Gets the hashcode of this class.
      Returns:
        the hashcode of this class

    - #### getKey

          public int[] getKey()

      Gets the key of this class.
      Returns:
        the key of this class

    - #### getNext

          public IntArrayDictionaryEntry getNext()

      Gets the next element in this bucket.
      Returns:
        the next element in this bucket

    - #### getValue

          public int getValue()

      Gets the value.
      Returns:
        the value

    - #### incRefCount

          public void incRefCount()

    - #### setNext

          public void setNext(IntArrayDictionaryEntry next)

      Sets the next element in this bucket.
      Parameters:
        `next` - the new next element in this bucket